| optoMDC

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | List of all members
optoMDC.registers.mre3_registers.PID Class Reference
Inheritance diagram for optoMDC.registers.mre3_registers.PID:

## Public Member Functions
| __init__ (self, int channel=0, board=None)

## Static Public Member Functions
| help ()

## Public Attributes
| sys_id
| kp
| ki
| kd
| min_output
| max_output
| min_integral
| max_integral
| enable_filter
| cutoff_frequency
| name

## Protected Attributes
| _readonly

## Detailed Description

    Control Mode Channel - OF PID Control (with/without Temperature Compensation)
    System ID: 0xB8 through 0xBf

    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | Register Name      | Id   | Type        | Unit | Range | Default | Comment                                          |
    +====================+======+=============+======+=======+=========+==================================================+
    | kp                 | 0x01 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | ki                 | 0x02 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | kd                 | 0x03 |uint 32-bit  |bool  | T/F   | 1       |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | min_output         | 0x04 |float 32-bit |None  |       |         | If PID output reaches this, it is clamped to this|
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | max_output         | 0x05 |float 32-bit |None  |       |         | If PID output reaches this, it is clamped to this|
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | min_integral       | 0x06 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | max_integral       | 0x07 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | Enable filter      | 0x13 |boolean      |None  |       | true    | Enables / disables filter on derivate term       |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | Cutoff frequency   | 0x14 |float 32-bit |None  |       | 800.0   | Sets cut-off frequency in Hz                     |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.registers.mre3_registers.PID.__init__ | ( |  | self,
|  | int | channel = 0,
|  |  | board = None )

## Member Function Documentation

## ◆ help()

optoMDC.registers.mre3_registers.PID.help | ( |  | ) |
| static

## Member Data Documentation

## ◆ _readonly

optoMDC.registers.mre3_registers.PID._readonly
| protected

## ◆ cutoff_frequency

optoMDC.registers.mre3_registers.PID.cutoff_frequency

## ◆ enable_filter

optoMDC.registers.mre3_registers.PID.enable_filter

## ◆ kd

optoMDC.registers.mre3_registers.PID.kd

## ◆ ki

optoMDC.registers.mre3_registers.PID.ki

## ◆ kp

optoMDC.registers.mre3_registers.PID.kp

## ◆ max_integral

optoMDC.registers.mre3_registers.PID.max_integral

## ◆ max_output

optoMDC.registers.mre3_registers.PID.max_output

## ◆ min_integral

optoMDC.registers.mre3_registers.PID.min_integral

## ◆ min_output

optoMDC.registers.mre3_registers.PID.min_output

## ◆ name

optoMDC.registers.mre3_registers.PID.name

## ◆ sys_id

optoMDC.registers.mre3_registers.PID.sys_id

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/registers/mre3_registers.py